module UserTypes

implicit none

Type DEBRIS_PROPS_TYPE
      real (kind=8) :: Debris
      real (kind=8) :: Pen
      real (kind=8) :: Hit
      type (DEBRIS_PROPS_TYPE), Pointer :: Next
End Type DEBRIS_PROPS_TYPE

end module